<app-loading *ngIf="isLoadingPage"></app-loading>
<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[30,30]">
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="degreeTypes"
                 [mbType]="isSubmitted && form.controls['degreeTypeCode'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['degreeTypeCode'].errors !== null"
                 [mbErrors]="form.controls['degreeTypeCode'].errors"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'selfService.validate.required' | translate: {'param': 'selfService.table.degreeType' | translate }}]"
                 mbPlaceholder="{{'selfService.table.degreeType' | translate}}"
                 mbLabelText="{{'selfService.table.degreeType' | translate}} <span class='label__required'>*</span>"
                 formControlName="degreeTypeCode"></mb-select>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-date-picker
        mbPlaceholderText="{{'selfService.table.yearC' | translate}}"
        mbLabelText="{{'selfService.table.yearC' | translate}}"
        mbMode="year"
        [mbFormat]="'yyyy'"
        formControlName="issueYear"></mb-date-picker>
    </div>
    <!-- Nơi cấp -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <div nz-row>
        <div nz-col [nzXs]="24" nzLg="{{school?.isTextManual === 1 ? 12 : 24}}">
          <mb-select [mbDataSelects]="listSchool"
                     mbKeyValue="schoolId"
                     mbKeyLabel="name"
                     [mbType]="isSubmitted && form.controls['schoolId'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['schoolId'].errors !== null"
                     [mbErrors]="form.controls['schoolId'].errors"
                     [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'selfService.validate.required' | translate: {'param': 'selfService.table.eduSchool' | translate }}]"
                     mbPlaceholder="{{'selfService.table.eduSchool' | translate}}"
                     mbLabelText="{{'selfService.table.eduSchool' | translate}} <span class='label__required'>*</span>"
                     formControlName="schoolId"
                     (ngModelChange)="changeSchool($event)"></mb-select>
        </div>
        <div nz-col [nzXs]="24" [nzLg]="12" *ngIf="school?.isTextManual === 1" style="padding-left: 5px">
          <mb-input-text formControlName="schoolName"
                         [mbMaxLength]="200"
                         [mbType]="isSubmitted && form.controls['schoolName'].errors ? 'error' : 'default'"
                         [mbShowError]="isSubmitted && form.controls['schoolName'].errors !== null"
                         [mbErrors]="form.controls['schoolName'].errors"
                         [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'selfService.validate.required' | translate: {'param': 'selfService.table.schoolName' | translate }},
                                    { errorName: 'maxlength', errorDescription: 'selfService.validate.maxLength' | translate: {'numberLength': '200' | translate }}]"
                         mbPlaceholderText="{{'selfService.table.schoolName' | translate}}"
                         mbLabelText="{{'selfService.table.schoolName' | translate}} <span class='label__required'>*</span>"></mb-input-text>
        </div>
      </div>
    </div>


    <!-- Chuyên ngành -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <div nz-row>
        <div nz-col [nzXs]="24" nzLg="{{faculty?.isTextManual === 1 ? 12 : 24}}">
          <mb-select [mbDataSelects]="listFaculty"
                     mbKeyValue="facultyId"
                     mbKeyLabel="name"
                     [mbType]="isSubmitted && form.controls['facultyId'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['facultyId'].errors !== null"
                     [mbErrors]="form.controls['facultyId'].errors"
                     [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'selfService.validate.required' | translate: {'param': 'selfService.table.specialized' | translate }}]"
                     mbPlaceholder="{{'selfService.table.specialized' | translate}}"
                     mbLabelText="{{'selfService.table.specialized' | translate}} <span class='label__required'>*</span>"
                     formControlName="facultyId"
                     (ngModelChange)="changeFaculty($event)"></mb-select>
        </div>
        <div nz-col [nzXs]="24" [nzLg]="12" *ngIf="faculty?.isTextManual === 1" style="padding-left: 5px">
          <mb-input-text formControlName="facultyName"
                         [mbMaxLength]="200"
                         [mbType]="isSubmitted && form.controls['facultyName'].errors ? 'error' : 'default'"
                         [mbShowError]="isSubmitted && form.controls['facultyName'].errors !== null"
                         [mbErrors]="form.controls['facultyName'].errors"
                         [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'selfService.validate.required' | translate: {'param': 'selfService.table.facultyName' | translate }},
                                    { errorName: 'maxlength', errorDescription: 'selfService.validate.maxLength' | translate: {'numberLength': '200' | translate }}]"
                         mbPlaceholderText="{{'selfService.table.facultyName' | translate}}"
                         mbLabelText="{{'selfService.table.facultyName' | translate}} <span class='label__required'>*</span>"></mb-input-text>
        </div>
      </div>
    </div>

    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="listMajorLevel"
                 mbKeyValue="majorLevelId"
                 mbKeyLabel="name"
                 [mbType]="isSubmitted && form.controls['majorLevelId'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['majorLevelId'].errors !== null"
                 [mbErrors]="form.controls['majorLevelId'].errors"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'selfService.validate.required' | translate: {'param': 'selfService.table.level' | translate }}]"
                 mbPlaceholder="{{'selfService.table.level' | translate}}"
                 mbLabelText="{{'selfService.table.level' | translate}} <span class='label__required'>*</span>"
                 formControlName="majorLevelId"></mb-select>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="eduRankCodes"
                 mbPlaceholder="{{'selfService.table.graduationGrade' | translate}}"
                 mbLabelText="{{'selfService.table.graduationGrade' | translate}}"
                 formControlName="eduRankCode"></mb-select>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="24">
      <label nz-checkbox formControlName="isHighest">{{ 'selfService.table.isLevelMax' | translate}}</label>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="24">
      <mb-input-text [mbIsTextAre]="true"
                     mbPlaceholderText="{{'selfService.label.note' | translate}}"
                     mbLabelText="{{'selfService.label.note' | translate}}"
                     formControlName="note"></mb-input-text>
    </div>
    <div nz-col [nzXs]="24" [nzLg]="24" class="input__group" [class.removePaddingBottom]="isSubmitted && isFileEmpty">
      <label class="input__label">{{'selfService.label.file' | translate}} <span class='label__required'>*</span></label>
      <nz-upload
        nzType="drag"
        [nzMultiple]=" true"
        nzAccept=".pdf"
        [(nzFileList)]="fileList"
        [nzBeforeUpload]="beforeUpload"
        [nzRemove]="removeFile"
        [nzDownload]="downloadFile"
      >
        <p class="ant-upload-drag-icon">
          <em nz-icon nzType="inbox"></em>
        </p>
        <p class="ant-upload-text">{{'common.upload.description'|translate}}</p>
        <p class="ant-upload-hint">
          {{'common.upload.supportPDF'|translate}}
        </p>
      </nz-upload>
    </div>

    <!-- !!!Error: File đính kèm bắt buộc nhập -->
    <div nz-col [nzXs]="24" [nzLg]="12" class="input__group fileEmptyMessage" *ngIf="isSubmitted && isFileEmpty">
      <div class="input__message">
        <em nz-icon nzTheme="outline" [nzType]="'warning'" style="color: #ED2E7E;"></em>
        <span class="text__message" style="color: #ED2E7E !important;">{{'selfService.validate.fileRequired' | translate}}</span>
      </div>
    </div>
    <!--End: Error: File đính kèm bắt buộc nhập-->
  </div>
</form>
